com.fasterxml.jackson.databind.ser.std

## Class StdKeySerializers.Default

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<Object>
    - - com.fasterxml.jackson.databind.ser.std.StdKeySerializers.Default

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware, Serializable

Enclosing class:
  StdKeySerializers

    public static class StdKeySerializers.Default
    extends StdSerializer<Object>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`JsonSerializer.None`

### Field Summary

Fields
`protected int` `_typeId`

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
Constructor and Description
`StdKeySerializers.Default(int typeId, Class<?> type)`

### Method Summary

Methods
`void` `serialize(Object value, JsonGenerator jgen, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, findConvertingContentSerializer, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _typeId

    protected final int _typeId

### Constructor Detail

#### StdKeySerializers.Default

    public StdKeySerializers.Default(int typeId,
                             Class<?> type)

### Method Detail

#### serialize

    public void serialize(Object value,
                 JsonGenerator jgen,
                 SerializerProvider provider)
                   throws IOException,
                          JsonGenerationException

Description copied from class: `JsonSerializer`
Method that can be called to ask implementation to serialize values of type this serializer handles.

Specified by:
  `serialize` in class `StdSerializer<Object>`
Parameters:
  `value` - Value to serialize; can not be null.
  `jgen` - Generator used to output resulting Json content
  `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
Throws:
  `IOException`
  `JsonGenerationException`